QuestionsServiceImpl (gCube Questions Ask Managers Portlet 1.1.1-SNAPSHOT API)
Date: 2015-09-10

org.gcube.portlets.user.questions.server

## Class QuestionsServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.questions.server.QuestionsServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, QuestionsService

      public class QuestionsServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements QuestionsService

  Author:
    massi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuestionsServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDevelopmentUser()` when packaging test will fail if the user is not set to test.user
    `ArrayList<org.gcube.portal.databook.shared.UserInfo>` | `getManagers()`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuestionsServiceImpl

          public QuestionsServiceImpl()

  - ### Method Detail

    - #### getDevelopmentUser

          public String getDevelopmentUser()

      when packaging test will fail if the user is not set to test.user
      Returns:
        .

    - #### getManagers

          public ArrayList<org.gcube.portal.databook.shared.UserInfo> getManagers()

      Specified by:
        `getManagers` in interface `QuestionsService`

Copyright © 2015. All Rights Reserved.